## linux-deepin-hwe 5.18.4

=== Makefile ===
abiname=5.18.4
all: build
build:
	cat debian/control.in | sed -e 's/ABINAME/$(abiname)/g' > debian/control

=== debian/changelog ===
linux-deepin-hwe (5.18.4-hwe) unstable; urgency=medium

  * update kerneel 5.18.4 

 -- LiChengGang <lichenggang@uniontech.com>  Fri, 08 Jul 2022 16:40:15 +0800

linux-deepin-hwe (5.17.9-hwe) unstable; urgency=medium

  * update kernel 5.18.2 

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 08 Jun 2022 09:58:50 +0800

## linux-deepin-hwe 5.18.17

=== Makefile ===
abiname=5.18.17
all: build
build:
	cat debian/control.in | sed -e 's/ABINAME/$(abiname)/g' > debian/control

=== debian/changelog ===
linux-deepin-hwe (5.18.17-hwe) unstable; urgency=medium

  * Non-maintainer upload.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 13 Sep 2022 13:49:14 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
%:
	dh $@

## linux-deepin-hwe 5.18.17.1

=== debian/changelog ===
linux-deepin-hwe (5.18.17.1-hwe) unstable; urgency=medium

  * Non-maintainer upload.

 -- LiChengGang <lichenggang@uniontech.com>  Fri, 11 Nov 2022 17:20:16 +0800

## linux-deepin-hwe 5.18.17.2

=== debian/changelog ===
linux-deepin-hwe (5.18.17.2-hwe) unstable; urgency=medium

 * add conflicts

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 28 Jun 2023 16:18:10 +0800

=== debian/control ===
Source: linux-deepin-hwe
Section: metapackages
Priority: extra
Maintainer: LinuxDeepin Project <linuxdeepin@linuxdeepin.com>
Build-Depends: debhelper (>=8.0.0)
Standards-Version: 3.9.3
Homepage: http://www.deepin.com

Package: linux-image-deepin-hwe-amd64
Architecture: amd64
Depends: linux-image-5.12.18-amd64-desktop-hwe
Replaces: linux-image-5.7.7-deepin-amd64
Description: Linux for 64-bit PCs (meta-package)
 This package depends on the latest Linux kernel and modules for use on PCs
 with AMD64, Intel 64 or VIA Nano processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.

Package: linux-headers-deepin-hwe-amd64
Architecture: amd64
Depends: linux-headers-5.12.18-amd64-desktop-hwe
Replaces: linux-headers-5.7.7-deepin-amd64
Description: Header files for Linux amd64 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel amd64 configuration.

## linux-deepin-hwe 6.6.40

=== Makefile ===
amd64_abiname=6.6.40
arm64_abiname=6.6.40
loong64_abiname=6.6.40
ARCH_BUILD :=$(shell uname -m)
all: build
build:
ifeq ($(ARCH_BUILD), x86_64)
	cat debian/control.in | sed -e 's/AMD64ABINAME/$(amd64_abiname)/g' > debian/control
else ifeq ($(ARCH_BUILD), aarch64)
	cat debian/control.in | sed -e 's/ARM64ABINAME/$(arm64_abiname)/g' > debian/control
else ifeq ($(ARCH_BUILD), loongarch64)
	cat debian/control.in | sed -e 's/LOONG64ABINAME/$(loong64_abiname)/g' > debian/control
endif

=== debian/changelog ===
linux-deepin-hwe (6.6.40-1) unstable; urgency=medium

  * update kernel 6.6.40.

 -- LiChengGang <lichenggang@uniontech.com>  Fri, 19 Jul 2024 15:02:02 +0800

linux-deepin-hwe (6.6.36-2) unstable; urgency=medium

  * x86 kernel update 6.6.38.

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 11 Jul 2024 17:37:17 +0800

linux-deepin-hwe (6.6.36-1) unstable; urgency=medium

  * Update Linux Kernel (HWE) to 6.6.36.

 -- Mingcong Bai <baimingcong@uniontech.com>  Mon, 01 Jul 2024 14:11:44 +0800

linux-deepin-hwe (6.6.28-hwe) unstable; urgency=medium

  * update kernel 6.6.35 arm64 x86 loongarch64

 -- LiChengGang <lichenggang@uniontech.com>  Mon, 24 Jun 2024 16:04:52 +0800

linux-deepin-hwe (6.6.27-hwe) unstable; urgency=medium

  * update kernel 6.6.32 arm64 x86 loongarch64

 -- LiChengGang <lichenggang@uniontech.com>  Fri, 21 Jun 2024 13:49:27 +0800

linux-deepin-hwe (6.6.26-hwe) unstable; urgency=medium

  * add loong64 arm64 kernel meta packages.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 28 May 2024 10:22:04 +0800

linux-deepin-hwe (6.6.25-hwe) unstable; urgency=medium

  * update kernel 6.6.25.

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 11 Apr 2024 09:35:50 +0800

linux-deepin-hwe (6.6.23-hwe) unstable; urgency=medium

  * update kernel 6.6.23

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 01 Apr 2024 16:35:02 +0800

linux-deepin-hwe (6.6.21-hwe) unstable; urgency=medium

  * update kernel 6.6.21

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 19 Mar 2024 02:49:20 +0800

linux-deepin-hwe (6.6.7-hwe) unstable; urgency=medium

  * update kernel 6.6.7 

 -- LiChengGang <lichenggang@uniontech.com>  Mon, 25 Dec 2023 21:49:05 +0800

linux-deepin-hwe (6.1.32-hwe) unstable; urgency=medium

  * update kernel 6.1.32

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 13 Jul 2023 16:50:47 +0800

linux-deepin-hwe (6.1.11-hwe) unstable; urgency=medium

  * update kernel 6.1.11 

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 09 Mar 2023 09:43:07 +0800

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
 
 Package: linux-image-deepin-hwe-amd64
 Architecture: amd64
-Depends: linux-image-5.12.18-amd64-desktop-hwe
-Replaces: linux-image-5.7.7-deepin-amd64
+Depends: linux-image-6.6.23-amd64-desktop-hwe
 Description: Linux for 64-bit PCs (meta-package)
  This package depends on the latest Linux kernel and modules for use on PCs
  with AMD64, Intel 64 or VIA Nano processors.
@@ -19,9 +18,41 @@
 
 Package: linux-headers-deepin-hwe-amd64
 Architecture: amd64
-Depends: linux-headers-5.12.18-amd64-desktop-hwe
-Replaces: linux-headers-5.7.7-deepin-amd64
+Depends: linux-headers-6.6.23-amd64-desktop-hwe
 Description: Header files for Linux amd64 configuration (meta-package)
  This package depends on the architecture-specific header files for the
  latest Linux kernel amd64 configuration.
 
+Package: linux-image-deepin-hwe-arm64
+Architecture: arm64
+Depends: linux-image-ARM64ABINAME
+Description: Linux for 64-bit PCs (meta-package)
+ This package depends on the latest Linux kernel and modules for use on PCs
+ with AMD64, Intel 64 or VIA Nano processors.
+ .
+ This kernel also runs on a Xen hypervisor.  It supports both privileged
+ (dom0) and unprivileged (domU) operation.
+
+Package: linux-headers-deepin-hwe-arm64
+Architecture: arm64
+Depends: linux-headers-ARM64ABINAME
+Description: Header files for Linux arm64 configuration (meta-package)
+ This package depends on the architecture-specific header files for the
+ latest Linux kernel amd64 configuration.
+
+Package: linux-image-deepin-hwe-loong64
+Architecture: loong64
+Depends: linux-image-LOONG64ABINAME
+Description: Linux for 64-bit PCs (meta-package)
+ This package depends on the latest Linux kernel and modules for use on PCs
+ with AMD64, Intel 64 or VIA Nano processors.
+ .
+ This kernel also runs on a Xen hypervisor.  It supports both privileged
+ (dom0) and unprivileged (domU) operation.
+
+Package: linux-headers-deepin-hwe-loong64
+Architecture: loong64
+Depends: linux-headers-LOONG64ABINAME
+Description: Header files for Linux loong64 configuration (meta-package)
+ This package depends on the architecture-specific header files for the
+ latest Linux kernel amd64 configuration.

## linux-deepin-hwe 6.6.47

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.6.40
-arm64_abiname=6.6.40
-loong64_abiname=6.6.40
+amd64_abiname=6.6.47
+arm64_abiname=6.6.47
+loong64_abiname=6.6.47
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-hwe (6.6.47-1) unstable; urgency=medium

  * Update kernel to 6.6.47.

 -- Mingcong Bai <baimingcong@uniontech.com>  Wed, 21 Aug 2024 09:59:03 +0800

## linux-deepin-hwe 6.6.71

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.6.47
-arm64_abiname=6.6.47
-loong64_abiname=6.6.47
+amd64_abiname=6.6.71
+arm64_abiname=6.6.71
+loong64_abiname=6.6.71
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-hwe (6.6.71-1) unstable; urgency=medium

  * Update kernel to 6.6.71.

 -- Mingcong Bai <baimingcong@uniontech.com>  Tue, 14 Jan 2025 10:35:47 +0800

linux-deepin-hwe (6.6.69-1) unstable; urgency=medium

  * Update kernel to 6.6.69.

 -- Mingcong Bai <baimingcong@uniontech.com>  Fri, 10 Jan 2025 13:11:59 +0800

linux-deepin-hwe (6.6.67-2) unstable; urgency=medium

  * Update kernel to 6.6.67.

 -- lichenggang <lichenggang@deepin.org>  Thu, 26 Dec 2024 15:45:38 +0800

linux-deepin-hwe (6.6.63-1) unstable; urgency=medium

  * Update kernel to 6.6.63.

 -- lichenggang <lichenggang@deepin.org>  Wed, 04 Dec 2024 14:42:02 +0800

linux-deepin-hwe (6.6.60-1) unstable; urgency=medium

  * Update kernel to 6.6.60.

 -- Mingcong Bai <baimingcong@uniontech.com>  Wed, 13 Nov 2024 16:55:38 +0800

## linux-deepin-hwe 6.6.84

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.6.71
-arm64_abiname=6.6.71
-loong64_abiname=6.6.71
+amd64_abiname=6.6.84
+arm64_abiname=6.6.84
+loong64_abiname=6.6.84
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-hwe (6.6.84-1) unstable; urgency=medium

  * update kernel to 6.6.84

 -- lichenggang <lichenggang@deepin.org>  Thu, 27 Mar 2025 13:52:01 +0800

linux-deepin-hwe (6.6.79-1) unstable; urgency=medium

  * update kernel to 6.6.79.

 -- lichenggang <lichenggang@deepin.org>  Wed, 05 Mar 2025 17:08:45 +0800

## linux-deepin-hwe 6.6.90

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.6.84
-arm64_abiname=6.6.84
-loong64_abiname=6.6.84
+amd64_abiname=6.6.90
+arm64_abiname=6.6.90
+loong64_abiname=6.6.90
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-hwe (6.6.90-1) unstable; urgency=medium

  * update kernel to 6.6.90.

 -- lichenggang <lichenggang@deepin.org>  Thu, 15 May 2025 15:29:02 +0800

linux-deepin-hwe (6.6.87-1) unstable; urgency=medium

  * update kernel to 6.6.87.

 -- lichenggang <lichenggang@deepin.org>  Wed, 30 Apr 2025 09:22:10 +0800

## linux-deepin-hwe 6.6.93

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.6.90
-arm64_abiname=6.6.90
-loong64_abiname=6.6.90
+amd64_abiname=6.6.93
+arm64_abiname=6.6.93
+loong64_abiname=6.6.93
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-hwe (6.6.93-1) unstable; urgency=medium

  * update kernel to 6.6.93.

 -- lichenggang <lichenggang@deepin.org>  Tue, 17 Jun 2025 13:42:47 +0800

## linux-deepin-hwe 6.6.96

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.6.93
-arm64_abiname=6.6.93
-loong64_abiname=6.6.93
+amd64_abiname=6.6.96
+arm64_abiname=6.6.96
+loong64_abiname=6.6.96
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-hwe (6.6.96-1) unstable; urgency=medium

  * update kernel to 6.6.96.

 -- lichenggang <lichenggang@deepin.org>  Thu, 10 Jul 2025 20:37:32 +0800

## linux-deepin-hwe 6.6.101

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.6.96
-arm64_abiname=6.6.96
-loong64_abiname=6.6.96
+amd64_abiname=6.6.101
+arm64_abiname=6.6.101
+loong64_abiname=6.6.101
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-hwe (6.6.101-1) unstable; urgency=medium

  * update kernel to 6.6.101.

 -- lichenggang <lichenggang@deepin.org>  Wed, 06 Aug 2025 21:05:27 +0800

## linux-deepin-hwe 6.6.104

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.6.101
-arm64_abiname=6.6.101
-loong64_abiname=6.6.101
+amd64_abiname=6.6.104
+arm64_abiname=6.6.104
+loong64_abiname=6.6.104
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-hwe (6.6.104-1) unstable; urgency=medium

  * update kernel to 6.6.104.

 -- lichenggang <lichenggang@deepin.org>  Mon, 08 Sep 2025 13:58:29 +0800

## linux-deepin-hwe 6.6.113

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.6.104
-arm64_abiname=6.6.104
-loong64_abiname=6.6.104
+amd64_abiname=6.6.113
+arm64_abiname=6.6.113
+loong64_abiname=6.6.113
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-hwe (6.6.113-1) unstable; urgency=medium

  * update ketnel to 6.6.113.

 -- lichenggang <lichenggang@deepin.org>  Wed, 22 Oct 2025 17:21:33 +0800

## linux-deepin-hwe 6.6.119

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.6.113
-arm64_abiname=6.6.113
-loong64_abiname=6.6.113
+amd64_abiname=6.6.119
+arm64_abiname=6.6.119
+loong64_abiname=6.6.119
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-hwe (6.6.119-1) unstable; urgency=medium

  * update kernel to 6.6.119.

 -- lichenggang <lichenggang@deepin.org>  Thu, 25 Dec 2025 13:45:13 +0800

## linux-deepin-hwe 6.6.120

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-amd64_abiname=6.6.119
-arm64_abiname=6.6.119
-loong64_abiname=6.6.119
+amd64_abiname=6.6.120
+arm64_abiname=6.6.120
+loong64_abiname=6.6.120
 ARCH_BUILD :=$(shell uname -m)
 all: build
 build:

=== debian/changelog ===
linux-deepin-hwe (6.6.120-1) unstable; urgency=medium

  * update kernel to 6.6.120

 -- lichenggang <lichenggang@deepin.org>  Wed, 14 Jan 2026 15:12:25 +0800
